Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26900

Description

Basically i have the following error:

Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\menus.py", line 181, in <lambda>

                action.triggered.connect(lambda: _executeAlgorithm(alg))

              File "C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins\processing\gui\menus.py", line 216, in _executeAlgorithm

                ok, message = alg.canExecute()

            RuntimeError: wrapped C/C++ object of type LinesToPolygons has been deleted

Associated revisions

Revision 1d62d106 - 2018-05-31 07:28 AM - Nyall Dawson

[processing] Don't hold on to algorithm instances for menu items

Instead, only store references to the algorithm id string, and

use this to retrieve algorithms when the actions are triggered.

This avoids errors caused by the algorithm instances being

removed, e.g. due to plugin removal or reload of providers

(e.g. by opening options dialog).

Fixes #19070

History

#1 - 2018-05-31 02:04 AM - Nyall Dawson

Note: this only happens after opening the "options" menu

#2 - 2018-05-31 07:27 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|1d62d106fbfaf975e38cbc83af8bc012f8813e53.

2025-06-13 1/1


